/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Jan-01-2012 10:09:13pm
Filepath: scripts\events and scenarios\Halloween2011\Quests\Quest Rewards\CandyBag.cs
Lines of code: 278

Description: 

***********************************************************/


using System;
using Server.Items;
using Server.Network;

namespace Server.Items
{
	public class CandyBagA : Bag
	{
		[Constructable]
		public CandyBagA() : this( null )
		{
		}

		[Constructable]
		public CandyBagA( Mobile from ) : base()
		{
			Weight = 1.0;
			Name = "a bag of candy";
			Hue = Utility.RandomDyedHue();	
			
			for (int i = 0; i < Utility.RandomMinMax(3,7); i++)
			{	
				if (0.5 >= Utility.RandomDouble()) 
					AddItem(new RedLicorice()); 
				else
					AddItem(new RockCandy()); 
			}
		}

		public CandyBagA( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version			
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
	
	public class CandyBagB : Bag
	{
		[Constructable]
		public CandyBagB() : this( null )
		{
		}

		[Constructable]
		public CandyBagB( Mobile from ) : base()
		{
			Weight = 1.0;
			Name = "a bag of candy";
			Hue = Utility.RandomDyedHue();	
			
			for (int i = 0; i < Utility.RandomMinMax(3,7); i++)
			{	
				if (0.5 >= Utility.RandomDouble()) 
					AddItem(new CherryLolipop()); 
				else
					AddItem(new OrangeLolipop()); 
			}
		}

		public CandyBagB( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version			
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
	
	public class CandyBagC : Bag
	{
		[Constructable]
		public CandyBagC() : this( null )
		{
		}

		[Constructable]
		public CandyBagC( Mobile from ) : base()
		{
			Weight = 1.0;
			Name = "a bag of candy";
			Hue = Utility.RandomDyedHue();	
			
			for (int i = 0; i < Utility.RandomMinMax(3,7); i++)
			{	
				if (0.5 >= Utility.RandomDouble()) 
					AddItem(new CandiedApple()); 
				else
					AddItem(new NougatSwirl()); 
			}
		}

		public CandyBagC( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version			
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
	
	public class CandyBagD : Bag
	{
		[Constructable]
		public CandyBagD() : this( null )
		{
		}

		[Constructable]
		public CandyBagD( Mobile from ) : base()
		{
			Weight = 1.0;
			Name = "a bag of candy";
			Hue = Utility.RandomDyedHue();	
			
			for (int i = 0; i < Utility.RandomMinMax(3,7); i++)
			{	
				if (0.5 >= Utility.RandomDouble()) 
					AddItem(new Taffy()); 
				else
					AddItem(new Jellybeans()); 
			}
		}

		public CandyBagD( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version			
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
	
	public class CandyBagE : Bag
	{
		[Constructable]
		public CandyBagE() : this( null )
		{
		}

		[Constructable]
		public CandyBagE( Mobile from ) : base()
		{
			Weight = 1.0;
			Name = "a bag of candy";
			Hue = Utility.RandomDyedHue();	
			
			for (int i = 0; i < Utility.RandomMinMax(3,7); i++)
			{	
				if (0.5 >= Utility.RandomDouble()) 
					AddItem(new CaramelApple()); 
				else
					AddItem(new LimeLolipop()); 
			}
		}

		public CandyBagE( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version			
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
	
	public class CandyBagF : Bag
	{
		[Constructable]
		public CandyBagF() : this( null )
		{
		}

		[Constructable]
		public CandyBagF( Mobile from ) : base()
		{
			Weight = 1.0;
			Name = "a bag of candy";
			Hue = Utility.RandomDyedHue();	
			
			for (int i = 0; i < Utility.RandomMinMax(3,7); i++)
			{	
				if (0.5 >= Utility.RandomDouble()) 
					AddItem(new BlackLicorice()); 
				else
					AddItem(new MilkChocolateTruffle()); 
			}
		}

		public CandyBagF( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version			
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
	
	public class CandyBagG : Bag
	{
		[Constructable]
		public CandyBagG() : this( null )
		{
		}

		[Constructable]
		public CandyBagG( Mobile from ) : base()
		{
			Weight = 1.0;
			Name = "a bag of candy";
			Hue = Utility.RandomDyedHue();	
			
			for (int i = 0; i < Utility.RandomMinMax(3,7); i++)
			{	
				if (0.5 >= Utility.RandomDouble()) 
					AddItem(new BerryGumdrop()); 
				else
					AddItem(new WrappedCandy()); 
			}
		}

		public CandyBagG( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version			
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
	
	public class CandyBagH : Bag
	{
		[Constructable]
		public CandyBagH() : this( null )
		{
		}

		[Constructable]
		public CandyBagH( Mobile from ) : base()
		{
			Weight = 1.0;
			Name = "a bag of candy";
			Hue = Utility.RandomDyedHue();	
			
			for (int i = 0; i < Utility.RandomMinMax(3,7); i++)
			{	
				if (0.5 >= Utility.RandomDouble()) 
					AddItem(new WhiteChocolateTruffle()); 
				else
					AddItem(new LemonGumdrop()); 
			}
		}

		public CandyBagH( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version			
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}